=== debian/changelog ===
opencc (1.1.3+ds1-3ubuntu3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:21:57 +0100

opencc (1.1.3+ds1-3ubuntu2) jammy; urgency=medium

  * Refresh symbols also for riscv64 on Ubuntu

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 19 Oct 2021 00:59:09 +0200

opencc (1.1.3+ds1-3ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining changes:
    - Symbols file modified for Ubuntu
  * Refresh symbols for Ubuntu

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 19 Oct 2021 00:00:44 +0200

opencc (1.1.3+ds1-3) unstable; urgency=medium

  * Refresh symbols again for all archs using buildd logs.

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Sep 2021 15:44:37 -0400

opencc (1.1.3+ds1-2) unstable; urgency=medium

  * Refresh symbols for all archs using buildd logs.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Sep 2021 16:32:52 -0400

opencc (1.1.3+ds1-1) unstable; urgency=medium

  * New upstream release 1.1.3.
  * Add myself into uploaders list.
  * debian/patches: Refresh patches.
    + 0002-use-system-libraries.patch: Dropped, upstream now provides
      CMake options to use system libraries.
    + Drop backported patches (0006, 0007), merged upstream.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Add new build-dependency pybind11-dev.
  * debian/rules: Refresh cmake build options.
  * debian/libopencc1.1.symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Sep 2021 21:13:03 -0400

opencc (1.1.1+git20200624+ds2-10ubuntu3) impish; urgency=medium

  * Further symbols file modification to prevent FTBFS

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 11 Aug 2021 14:19:15 +0200

opencc (1.1.1+git20200624+ds2-10ubuntu2) hirsute; urgency=medium

  * Further symbols file modification to prevent FTBFS
    - Most archs tweaked compared to Debian

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 29 Mar 2021 14:12:10 +0200

opencc (1.1.1+git20200624+ds2-10ubuntu1) hirsute; urgency=medium

  * Merge with Debian (LP: #1917909), remaining changes:
    - Symbols file modified for armhf, i386 and s390x

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 07 Mar 2021 16:19:22 +0100

opencc (1.1.1+git20200624+ds2-6ubuntu1) hirsute; urgency=medium

  * Merge with Debian (LP: #1917310), remaining changes:
    - Symbols file modified for armhf, i386 and s390x

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 01 Mar 2021 13:28:03 +0100

opencc (1.1.1+git20200624+ds2-5ubuntu1) hirsute; urgency=medium

  * Merge with Debian, remaining changes:
    - Symbols file modified for armhf, i386 and s390x

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 18 Feb 2021 23:03:00 +0100

opencc (1.1.1+git20200624+ds2-4ubuntu1) hirsute; urgency=medium

  * debian/libopencc1.1.symbols:
    - Refreshed due to s390x on Ubuntu (LP: #1912882)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 23 Jan 2021 11:12:00 +0100
