## opencc 1.1.4%2Bds1

=== debian/changelog ===
opencc (1.1.4+ds1-4deepin) unstable; urgency=medium

  * Regulate version name

 -- Yutao Meng <mengyutao@uniontech.com>  Mon, 20 Mar 2023 11:40:57 +0800

opencc (1.1.4+ds1-4) unstable; urgency=medium

  * Team upload
  * Work around uscan issue with GitHub releases page

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 08 Nov 2022 16:33:54 +0100

opencc (1.1.4+ds1-3) unstable; urgency=medium

  * Team upload
  * debian/libopencc1.1.symbols:
    - Update other archs for LTO using buildd logs (closes: #1015565)
  * Build with GCC-12
    - It builds fine now with GCC-12, so the symbols fix for LTO also
      closes: #1013008.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 25 Jul 2022 02:26:42 +0200

opencc (1.1.4+ds1-2) unstable; urgency=medium

  * Team upload
  * Start fixing FTBFS with LTO enabled (see bug 1015565):
    - debian/rules: Enable LTO
    - Create symbols file for amd64 only
  * Bump Standards-Version to 4.6.1
  * debian/copyright: Bump copyright year to 2022

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 23 Jul 2022 19:05:33 +0200

opencc (1.1.4+ds1-1) unstable; urgency=medium

  [ xiao sheng wen ]
  * update-debian-copyright to 2021 year.

  [ Boyuan Yang ]
  * New upstream version 1.1.4+ds1.
  * debian/patches: Refresh patches.
  * debian/libopencc1.1.symbols: Refresh symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jun 2022 11:52:24 -0400

opencc (1.1.3+ds1-5) unstable; urgency=medium

  * Team upload
  * debian/libopencc1.1.symbols:
    - Refresh using buildd logs for all archs and pkgkde-symbolshelper
      (Closes: #997412)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 27 Oct 2021 09:39:59 +0200

opencc (1.1.3+ds1-4) unstable; urgency=medium

  * Team upload
  * Re-build with GCC 11
  * debian/libopencc1.1.symbols:
    - amd64 tweak using buildd log from test rebuild

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 26 Oct 2021 23:03:58 +0200
