=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: opencc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Debian Chinese Team <chinese-developers@lists.alioth.debian.org>,
  Asias He <asias@debian.org>,
@@ -22,7 +21,7 @@
  pybind11-dev,
  python3:any,
  rapidjson-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/BYVoid/OpenCC
