=== src/CMakeLists.txt ===
--- 
+++ 
@@ -132,9 +132,9 @@
     OUTPUT_NAME
       opencc
     VERSION
-      1.1.3
+      ${OPENCC_VERSION_MAJOR}.${OPENCC_VERSION_MINOR}.${OPENCC_VERSION_REVISION}
     SOVERSION
-      1.1
+      ${OPENCC_VERSION_MAJOR}.${OPENCC_VERSION_MINOR}
 )
 
 # Installation
