=== debian/changelog ===
opencc (1.1.6+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.1.6+ds1
  * Refresh patches:
    - d/p/0001-use-cmake-install-libdir.patch
    - d/p/0005-Use-system-googletest.patch

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 10 Dec 2022 13:10:03 +0100

opencc (1.1.5+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.1.5+ds1

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 06 Dec 2022 13:40:36 +0100
