## opencc 1.1.7%2Bds1

=== debian/changelog ===
opencc (1.1.7+ds1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:14:49 +0200

opencc (1.1.7+ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.1.7+ds1
  * debian/libopencc-dev.install:
    - Install CMake config modules

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 21 Oct 2023 21:22:49 +0200

opencc (1.1.6+ds1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Add B-D: opencc <cross> for opencc_dict. (Closes: #1051036)

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Sep 2023 12:00:26 -0400
