=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: opencc
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Debian Chinese Team <chinese-developers@lists.alioth.debian.org>,
  Asias He <asias@debian.org>,
@@ -17,11 +18,12 @@
  googletest <!nocheck>,
  libmarisa-dev,
  libtclap-dev,
+ opencc <cross>,
  pkg-kde-tools,
  pybind11-dev,
  python3:any,
  rapidjson-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://github.com/BYVoid/OpenCC
