=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # export DH_VERBOSE=1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 include /usr/share/dpkg/architecture.mk
