## opencc 1.1.9%2Bds1

=== debian/changelog ===
opencc (1.1.9+ds1-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.7.2.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Sep 2025 19:36:20 -0400

opencc (1.1.9+ds1-3~exp1) experimental; urgency=medium

  * Test rebuild against libmarisa 0.3.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 23 Sep 2025 20:07:44 -0400

opencc (1.1.9+ds1-2) unstable; urgency=medium

  * debian/patches/backport/0006-Fix-build-for-gcc-15-934.patch,
    debian/patches/backport/0007-Fix-deprecated-declarations-in-C-17.patch:
    Backport upstream patches to fix FTBFS with GCC 15. (Closes: #1097512)
  * debian/patches/0002-Force-build-with-c-17.patch: Force building with
    c++17 standard to fix FTBFS with the new googletest.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Sep 2025 08:26:01 -0400

opencc (1.1.9+ds1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Aug 2024 14:05:52 -0400

opencc (1.1.9+ds1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Add new build-test-dependency python3-pytest.
  * debian/patches/0002: Dropped, merged upstream.
  * debian/libopencc1.1.symbols: Update symbols.
  * debian/rules: Allow python binding post-build test failure for now
    before we find out the correct way to test the python package with
    pytest.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Aug 2024 12:32:59 -0400

opencc (1.1.8+ds1-3) unstable; urgency=medium

  * Upload to unstable. Closes: #1077816
  * debian/control: Move main description to source package section.
  * debian/control: Add new build-dependency pybuild-plugin-pyproject.
  * debian/control: Use dh-sequence-python3.
  * debian/rules: Use pyproject instead of distutils for pybuild.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Aug 2024 19:07:26 -0400

opencc (1.1.8+ds1-2) experimental; urgency=medium

  * Team upload

  [ Shengjing Zhu ]
  * Disable build in setup.py

  [ Felix Yan ]
  * Enable python binding (Closes: #1077816)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 03 Aug 2024 13:38:47 +0800

opencc (1.1.8+ds1-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/libopencc1.1.symbols: Reconfirm symbols.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 12:07:48 -0400

opencc (1.1.8+ds1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Update information.
  * debian/patches: Refresh patches.
  * debian/control: Use dh-sequence-pkgkde-symbolshelper.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Jul 2024 20:00:37 -0400
