=== Makefile ===
--- 
+++ 
@@ -17,13 +17,14 @@
 #
 
 PREFIX = /usr
+REL_BUILD_DOCUMENTATION ?= ON
 
-.PHONY: build clean node test xcode-build
+.PHONY: bazel build clean node test xcode-build
 
 build:
 	mkdir -p build/rel
 	(cd build/rel; cmake \
-	-DBUILD_DOCUMENTATION:BOOL=ON \
+	-DBUILD_DOCUMENTATION:BOOL=${REL_BUILD_DOCUMENTATION} \
 	-DENABLE_GTEST:BOOL=OFF \
 	-DENABLE_BENCHMARK:BOOL=OFF \
 	-DCMAKE_BUILD_TYPE=Release \
@@ -78,13 +79,13 @@
 	xcodebuild build)
 
 python-build:
-	python setup.py build_ext
+	echo "No need to build"
 
 python-install: python-build
-	python setup.py install
+	python -m pip install .
 
 python-dist: python-build
-	python setup.py bdist_wheel
+	python -m build
 
 python-test: python-build
 	cd python; pytest .
@@ -97,7 +98,14 @@
 	| xargs clang-format -i
 
 clean:
-	rm -rf build xcode python/opencc/clib *.egg-info
+	rm -rf build xcode python/opencc/clib *.egg-info bazel-*
 
 install: build
 	make -C build/rel install VERBOSE=${VERBOSE} PREFIX=${PREFIX}
+
+bazel:
+	bazel build //:opencc
+	bazel test --test_output=all //src/... //data/... //test/...
+
+bazel-clean:
+	bazel clean --expunge
