=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+include_directories("${PROJECT_SOURCE_DIR}")
 include_directories("${PROJECT_BINARY_DIR}/src")
 include_directories("${PROJECT_SOURCE_DIR}/src")
 
@@ -28,7 +29,7 @@
   endif()
 
   if(NOT USE_SYSTEM_GTEST)
-    include_directories(../deps/gtest-1.7.0/include)
+    include_directories(../deps/googletest-1.15.0/googletest/include)
   endif()
   set(UNITTESTS
     CommandLineConvertTest
