=== debian/control ===
Source: opencc
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Debian Chinese Team <chinese-developers@lists.alioth.debian.org>,
 Asias He <asias@debian.org>,
 YunQiang Su <syq@debian.org>,
 Osamu Aoki <osamu@debian.org>,
 Aron Xu <aron@debian.org>,
 xiao sheng wen <atzlinux@sina.com>,
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 chrpath,
 cmake,
 darts,
 debhelper-compat (= 13),
 dh-sequence-python3,
 doxygen <!nodoc>,
 googletest <!nocheck>,
 libmarisa-dev (>> 0.3),
 libtclap-dev,
 opencc <cross>,
 dh-sequence-pkgkde-symbolshelper,
 pybind11-dev,
 python3-dev,
 rapidjson-dev,
 pybuild-plugin-pyproject,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-wheel,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Section: libs
Homepage: https://github.com/BYVoid/OpenCC
Vcs-Git: https://salsa.debian.org/debian/opencc.git
Vcs-Browser: https://salsa.debian.org/debian/opencc
Description: simplified-traditional Chinese conversion library
 opencc is a library for converting character between traditional Chinese and
 simplified Chinese.

Package: libopencc-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 libopencc2-data (<< 1.1.1~),
Replaces:
 libopencc2-data (<< 1.1.1~),
Description: ${source:Synopsis} - data files
 ${source:Extended-Description}
 .
 This package includes the data files.

Package: libopencc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libopencc1.1 (= ${binary:Version}),
 ${misc:Depends},
Suggests:
 libopencc-doc,
Description: ${source:Synopsis} - development
 ${source:Extended-Description}
 .
 This package includes the development support files.

Package: libopencc-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} - document
 ${source:Extended-Description}
 .
 This package includes the library document files.

Package: libopencc1.1
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libopencc-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} - runtime
 ${source:Extended-Description}
 .
 This package includes the shared library.

Package: opencc
Section: utils
Architecture: any
Multi-Arch: foreign
Depends:
 libopencc1.1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libopencc-doc,
Description: simplified-traditional Chinese conversion tool
 ${source:Extended-Description}
 .
 This package includes the conversion tool.

Package: python3-opencc
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} - Python 3.x
 ${source:Extended-Description}
 .
 This package provides the Python 3.x module.
