=== debian/tests/control ===
Tests: integration
Depends:
 build-essential,
 cmake,
 googletest,
 pkgconf,
 @,
Restrictions: allow-stderr,
